Bug 245934 - devel/py-pycparser: Update to 2.20
Summary: devel/py-pycparser: Update to 2.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-26 15:09 UTC by daniel.engberg.lists
Modified: 2020-05-18 19:07 UTC (History)
0 users

See Also:
wg: maintainer-feedback+


Attachments
Patch for py-pycparser (1.34 KB, patch)
2020-04-26 15:09 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-04-26 15:09:16 UTC
Created attachment 213812 [details]
Patch for py-pycparser

Update py-pycparser to 2.20

Tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64) (VM)
Poudriere OK 12.1-RELEASE (AMD64)

Test reports (make test):

py-pycparser 2.19

Generating LALR tables
WARNING: 36 shift/reduce conflicts
WARNING: 1 reduce/reduce conflict
WARNING: reduce/reduce conflict in state 282 resolved using rule (statement -> pppragma_directive)
WARNING: rejected rule (empty -> <empty>) in state 282
..........................sss..............................................................................
----------------------------------------------------------------------
Ran 107 tests in 0.359s

OK (skipped=3)

py-pycparser 2.20

Generating LALR tables
WARNING: 38 shift/reduce conflicts
WARNING: 1 reduce/reduce conflict
WARNING: reduce/reduce conflict in state 283 resolved using rule (statement -> pppragma_directive)
WARNING: rejected rule (empty -> <empty>) in state 283
..........................sss...................................................s................................
----------------------------------------------------------------------
Ran 113 tests in 0.371s

OK (skipped=4)
Comment 1 daniel.engberg.lists 2020-05-10 11:38:55 UTC
Hi William,

Can you have a look at this?

Best regards,
Daniel
Comment 2 William Grzybowski freebsd_committer 2020-05-18 19:06:21 UTC
Thanks
Comment 3 commit-hook freebsd_committer 2020-05-18 19:07:11 UTC
A commit references this bug:

Author: wg
Date: Mon May 18 19:06:11 UTC 2020
New revision: 535777
URL: https://svnweb.freebsd.org/changeset/ports/535777

Log:
  devel/py-pycparser: update to 2.20

  - Drop maintainership

  PR:		245934
  Submitted by:	Daniel Engberg

Changes:
  head/devel/py-pycparser/Makefile
  head/devel/py-pycparser/distinfo